import { InitialState } from '../types';
type Param = {
    path?: string[];
    initialState?: InitialState;
    initialSelectedItemId?: string;
};
export declare const useColumnView: <T extends Record<string, unknown>>(options?: Param) => readonly [{
    readonly nodes: Record<string, import("../types").Item<T>>;
    readonly insert: (item: T, parentId?: string) => void;
    readonly path: import("../types").WrappedItem<T>[];
    readonly root: import("../types").WrappedItem<T>[];
    readonly select: (itemId: string) => void;
}, import("react").Dispatch<import("redux").AnyAction>];
export {};
