import type { PayloadAction } from '@reduxjs/toolkit';
import type { State } from '../types';
export declare const createMainSlice: <T extends Record<string, unknown>>() => import("@reduxjs/toolkit").Slice<State<T>, {
    insertItem: (state: import("immer/dist/internal").WritableDraft<State<T>>, action: {
        payload: {
            item: T;
            parentId?: string | undefined;
        };
        type: string;
    }) => void;
    push: (state: import("immer/dist/internal").WritableDraft<State<T>>, action: PayloadAction<{
        section: number;
        itemId: string;
    }>) => void;
    select: (state: import("immer/dist/internal").WritableDraft<State<T>>, action: PayloadAction<{
        itemId: string;
    }>) => void;
}, "main">;
