"use strict";
Object.defineProperty(exports, "createItemProps", {
    enumerable: true,
    get: ()=>createItemProps
});
const _invariant = require("invariant");
const _buildSection = require("../buildSection");
var _items_id_original;
const getItemData = (id, items)=>{
    var _items_id;
    return (_items_id_original = items == null ? void 0 : (_items_id = items[id]) == null ? void 0 : _items_id.original) != null ? _items_id_original : null;
};
const getChildren = (id, context)=>{
    var _context_nodes, _context_nodes_id;
    return (0, _buildSection.buildSection)(((_context_nodes = context.nodes) == null ? void 0 : (_context_nodes_id = _context_nodes[id]) == null ? void 0 : _context_nodes_id.children) || [], context);
};
const createItemProps = (id, _, context)=>{
    const { nodes , push , path  } = context;
    const item = getItemData(id, nodes);
    (0, _invariant.default)(item, `Item with id ${id} not found`);
    return {
        children: getChildren(id, context),
        id,
        isSelected: path.includes(id),
        original: item,
        pushAt: (sectionIndex)=>{
            push(id, sectionIndex);
        }
    };
};

//# sourceMappingURL=index.js.map